package com.ruoyi.project.production.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.production.domain.TPpeWardrobe;

/**
 * 更衣柜Mapper接口
 *
 * @author ssy
 * @date 2023-11-30
 */
public interface TPpeWardrobeMapper
{
    /**
     * 查询更衣柜
     *
     * @param id 更衣柜ID
     * @return 更衣柜
     */
    public TPpeWardrobe selectTPpeWardrobeById(Long id);

    /**
     * 查询更衣柜列表
     *
     * @param tPpeWardrobe 更衣柜
     * @return 更衣柜集合
     */
    @DataScope(deptAlias = "d")
    public List<TPpeWardrobe> selectTPpeWardrobeList(TPpeWardrobe tPpeWardrobe);
    @DataScope(deptAlias = "d")
    public List<TPpeWardrobe> selectTPpeWardrobeListByMainId(Long mainId);

    /**
     * 新增更衣柜
     *
     * @param tPpeWardrobe 更衣柜
     * @return 结果
     */
    public int insertTPpeWardrobe(TPpeWardrobe tPpeWardrobe);

    /**
     * 修改更衣柜
     *
     * @param tPpeWardrobe 更衣柜
     * @return 结果
     */
    public int updateTPpeWardrobe(TPpeWardrobe tPpeWardrobe);

    /**
     * 删除更衣柜
     *
     * @param id 更衣柜ID
     * @return 结果
     */
    public int deleteTPpeWardrobeById(Long id);

    /**
     * 批量删除更衣柜
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPpeWardrobeByIds(Long[] ids);
}
